package com.apobbati.samples.security;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.security.access.expression.SecurityExpressionRoot;
import org.springframework.security.core.Authentication;

abstract class CustomSecurityExpressionRoot extends SecurityExpressionRoot {
    private Logger log = LoggerFactory.getLogger(CustomSecurityExpressionRoot.class);

    public CustomSecurityExpressionRoot(Authentication a) {
        super(a);
    }

    public boolean isActionAllowed(String action) {
        log.debug("--------------------------- CALLING isActionAllowed() ---------------------------");
        return true;
    }
}
